import java.lang.reflect.Method;
import org.springframework.aop.AfterReturningAdvice;

public class AfterFinalyAdviceExample implements AfterReturningAdvice
{
    public void afterReturning(Object object,Method method, Object[] args, Object target)throws Throwable
    {
    	
        System.out.println("Hello world! by " + this.getClass().getName());
    }
}